Debian Bug report logs - #183860
many files generated from texinfo have license conflicts

Package: general; Maintainer for general is debian-devel@lists.debian.org;

Reported by: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>

Date: Fri, 7 Mar 2003 20:48:02 UTC

Severity: serious

Tags: moreinfo, upstream

Done: Anthony DeRobertis <asd@suespammers.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, general@packages.qa.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <karlsson@hal-pc.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, general@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <karlsson@hal-pc.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: general: many info files have license conflicts
Date: Fri, 7 Mar 2003 20:33:17 +0000
[Message part 1 (text/plain, inline)]
Package: general
Version: unavailable; reported 2003-03-05
Severity: serious
Tags: upstream
Justification: Policy 2.1

Most GNU manuals are under some form of the GNU Free Documentation
License (the freeness of which is debatable). However, those manuals are
in Texinfo format. The first line of every Texinfo file is:
\input texinfo
which includes texinfo.tex. If you look at texinfo.tex with
head -20 `dpkg -L texinfo | grep 'texinfo\.tex'
you will find that texinfo.tex is under the GNU General Public License,
which is incompatible with the GFDL. Hence the bug. This affects any
manual in Texinfo format that is under the GFDL or any other
GPL-incompatible license.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux stonewall 2.4.20-k7 #1 Tue Jan 14 00:29:06 EST 2003 i686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8


-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
"Let us think the unthinkable, let us do the undoable. Let us prepare
 to grapple with the ineffable itself, and see if we may not eff it
 after all." --Douglas Adams
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, general@packages.qa.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Anthony Towns <aj@azure.humbug.org.au>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, general@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 183860@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: debian-legal@lists.debian.org
Cc: 183860@bugs.debian.org
Subject: Re: Suggestion to maintainers of GFDL docs
Date: Fri, 18 Apr 2003 04:16:57 +1000
[Message part 1 (text/plain, inline)]
On Thu, Apr 17, 2003 at 02:34:36PM +0000, Brian M. Carlson wrote:
> Debian can't legally distribute such an info document. Because the
> GFDL is incompatible with the GPL, it is prohibited to even
> create an info document from GFDL'd texinfo source. See #183860.

Hrm, if that's the case, we can't distribute, eg, the pcl-cvs.texi
file either -- after all, it's licensed under a "verbatim copying only"
license, but has the "\input texinfo" line at the top.

I don't think that is the case though, for two reasons:

	(1) we don't actually distribute pcl-cvs anything that's made use
	    of the TeX stuff; so we haven't made copies of texinfo.tex,
	    and don't need to be concerned with its copyright

	(2) the TeX output probably comes under the exemption in section 0
	    of the GPL -- `...the output from the Program (texinfo.tex)
	    is covered only if its contents constitute a work based
	    on the Program (independent of having been made by running
	    the Program).'

Either reason alone should be enough to make this not a real concern.

The FSF might like to clarify their intentions here.

Bug cc'ed.

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

  ``Dear Anthony Towns: [...] Congratulations -- 
        you are now certified as a Red Hat Certified Engineer!''
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, general@packages.qa.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Simon Law <sfllaw@engmail.uwaterloo.ca>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, general@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 183860@bugs.debian.org (full text, mbox):

From: Simon Law <sfllaw@engmail.uwaterloo.ca>
To: debian-legal@lists.debian.org, 183860@bugs.debian.org
Subject: Re: Suggestion to maintainers of GFDL docs
Date: Thu, 17 Apr 2003 14:49:51 -0400
On Fri, Apr 18, 2003 at 04:16:57AM +1000, Anthony Towns wrote:
> On Thu, Apr 17, 2003 at 02:34:36PM +0000, Brian M. Carlson wrote:
> > Debian can't legally distribute such an info document. Because the
> > GFDL is incompatible with the GPL, it is prohibited to even
> > create an info document from GFDL'd texinfo source. See #183860.
> 
> Hrm, if that's the case, we can't distribute, eg, the pcl-cvs.texi
> file either -- after all, it's licensed under a "verbatim copying only"
> license, but has the "\input texinfo" line at the top.
> 
> I don't think that is the case though, for two reasons:
> 
> 	(1) we don't actually distribute pcl-cvs anything that's made use
> 	    of the TeX stuff; so we haven't made copies of texinfo.tex,
> 	    and don't need to be concerned with its copyright
> 
> 	(2) the TeX output probably comes under the exemption in section 0
> 	    of the GPL -- `...the output from the Program (texinfo.tex)
> 	    is covered only if its contents constitute a work based
> 	    on the Program (independent of having been made by running
> 	    the Program).'

	In this case, texinfo.tex is akin to a header file that a
program.  The program would be TeX (or a variant that implements the TeX
macro language.)

	However, this only applies to DVI and PDF forms of this work.
The info documentation is generated by makeinfo, which does not put any
significant chunks of itself within the output.

Simon



Changed Bug submitter from "Brian M. Carlson" <karlsson@hal-pc.org> to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Anthony Towns <aj@azure.humbug.org.au>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 183860-done@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: 183860-done@bugs.debian.org
Subject: Re: Bug#183860: general: many info files have license conflicts
Date: Mon, 22 Dec 2003 13:03:13 +1000
> Most GNU manuals are under some form of the GNU Free Documentation
> License (the freeness of which is debatable). However, those manuals are
> in Texinfo format. The first line of every Texinfo file is:
> \input texinfo
> which includes texinfo.tex. If you look at texinfo.tex with
> head -20 `dpkg -L texinfo | grep 'texinfo\.tex'
> you will find that texinfo.tex is under the GNU General Public License,

This needs to be taken up with upstream to see if it's an actual problem,
and what solutions are possible.

Bug closed with this message.

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

               Linux.conf.au 2004 -- Because we can.
           http://conf.linux.org.au/ -- Jan 12-17, 2004




Bug reopened, originator not changed. Request was from Dominique Devriese <dominique.devriese@student.kuleuven.ac.be> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> Request was from Dominique Devriese <dominique.devriese@student.kuleuven.ac.be> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Anthony DeRobertis <asd@suespammers.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from Anthony DeRobertis <asd@suespammers.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <asd@suespammers.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #35 received at 183860@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: rms@gnu.org
Cc: 183860@bugs.debian.org
Subject: Many texi files under GFDL use texinfo.tex under GPL
Date: Tue, 23 Dec 2003 12:33:52 -0500
Many (all?) GNU texinfo manuals that are licensed under the GFDL do an:

	\input texinfo

According to the comments at the top of texinfo.tex, texinfo is 
licensed under the GPL, version 2 or later.

Since the GPL and GFDL aren't compatible, I think this may be a license 
violation. Could you please clarify?

Thank you for your time.




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #40 received at 183860@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 183860@bugs.debian.org
Subject: On the GPL/GFDL conflict in texinfo.tex
Date: Tue, 23 Dec 2003 23:32:06 -0500
Any file which builds with texinfo.tex missing or empty is OK as far as 
this license conflict goes.  (The GFDL is still a non-free license, of 
course, and I'm sad that sarge will deliberately contain lots of 
non-free stuff, but that's another matter.)

I think this case actually includes all the .info and .html files; if 
I'm not mistaken, makeinfo ignores texinfo.tex completely, so makeinfo 
--info, makeinfo --html, makeinfo --xml, and makeinfo --docbook are all 
OK.  I could be wrong of course. :-/

Sadly any .dvi, .pdf, or other file generated using TeX is an illegal 
license combination and is undistributable.

Safer just to remove all that non-free GFDL stuff.




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to rms@gnu.org:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #45 received at 183860@bugs.debian.org (full text, mbox):

From: Richard Stallman <rms@gnu.org>
To: Anthony DeRobertis <asd@suespammers.org>
Cc: 183860@bugs.debian.org
Subject: Re: Many texi files under GFDL use texinfo.tex under GPL
Date: Wed, 24 Dec 2003 10:18:19 -0500
    Many (all?) GNU texinfo manuals that are licensed under the GFDL do an:

	    \input texinfo

    According to the comments at the top of texinfo.tex, texinfo is 
    licensed under the GPL, version 2 or later.

The texinfo.tex file is an implementation of Texinfo.
Documents written in Texinfo can be licensed in any fashion;
they do not have to be licensed under the GPL.




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #50 received at 183860@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 183860@bugs.debian.org
Subject: RMS's comment on this bug is mostly irrelevant. :-/
Date: Wed, 24 Dec 2003 20:01:01 -0500
Attempt to clarify again:

The issue is entirely about generated files which contain elements of a 
GFDL'ed texinfo file *and* elements of the GPL'ed texinfo.tex; such 
files are presumably derivative works of both, but that means they can't 
be distributed.

GCC actually hit this already; I believe we ended up with a plan to 
switch to a differently-licensed replacement for texinfo.tex, though I 
think it hasn't been implemented yet.  (Neither have many other license 
problems at GCC.  :-P)




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@stanford.edu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #55 received at 183860@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@stanford.edu>
To: Nathanael Nerode <neroden@twcny.rr.com>
Cc: 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Wed, 24 Dec 2003 18:26:38 -0800
Nathanael Nerode <neroden@twcny.rr.com> writes:

> The issue is entirely about generated files which contain elements of a
> GFDL'ed texinfo file *and* elements of the GPL'ed texinfo.tex; such
> files are presumably derivative works of both, but that means they can't
> be distributed.

I'm not sure that I understand.  Here's how I look at this; please let me
know where I'm wrong:

 * texinfo is a formatting language.  It happens to be implemented in some
   particular cases (but not others) by using TeX macros, but that's just
   an internal implementation technique.  It could be implemented as a
   separate binary program for all we know.

 * texinfo documentation is given as input to a texinfo formatting
   program, which then produces some output; the most interesting in this
   particular case is DVI or PostScript output.

 * For DVI and PostScript output, the TeX macros (GPL-licensed) tell TeX
   how to take a texinfo document and turn it into DVI or PostScript
   output.  TeX then generates those DVI and PostScript documents via the
   same means that it would use to generate any other DVI or PostScript
   document.

To me, this situation seems exactly parallel to what would happen if
texinfo were implemented in Perl.  The texinfo program (texinfo.tex or the
Perl texinfo script) is fed to an interpretor (TeX or Perl), takes the
documentation as input, and uses the functionality of that interpretor to
generate some output.

As long as substantial chunks that are included vertabim in the output
(the old bison case) are licensed appropriately, and I don't see any
reason to think that they're not since they come from TeX and PostScript
documents generated by TeX don't seem to have license issues in general, I
don't see the issue.

Maybe the mechanism whereby TeX loads the texinfo program is confusing?
It does load the program and the data into the same input stream due to
the way that TeX is implemented, but isn't this just an accident of
implementation irrelevant to licensing concerns since it happens internal
to the TeX process?

It's not like the concatenated texinfo.tex and texinfo source is
distributed as such.  Rather, texinfo.tex is *run* and used to produce
output.  (But even if that were distributed, is it a license violation to
cat together two files with different licenses and distribute the results?
That still sounds like mere aggregation to me.)

I think it's generally well-accepted that, in the *common* case where no
substantial portion of the implementation is included in the output, the
output of a program is not inherently a derivative work of that program.
I don't see the argument for declaring the output of the texinfo program
to be a derivative work of its implementation.

If what you're saying is true, it would seem to imply that it is a license
violation to write any document in texinfo and redistribute the formatted
result unless the document is licensed under the GPL, and that more
generally it would be a license violation to distribute the output of
*any* formatting program unless the input document was license-compatible
with the implementation of the formatting program.  This seems wrong to
me.

Again, though, I may be missing some major issue, and would certainly
welcome correction.

-- 
Russ Allbery (rra@stanford.edu)             <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to viro@parcelfarce.linux.theplanet.co.uk:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #60 received at 183860@bugs.debian.org (full text, mbox):

From: viro@parcelfarce.linux.theplanet.co.uk
To: Nathanael Nerode <neroden@twcny.rr.com>, 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Thu, 25 Dec 2003 02:23:30 +0000
On Wed, Dec 24, 2003 at 08:01:01PM -0500, Nathanael Nerode wrote:
> Attempt to clarify again:
> 
> The issue is entirely about generated files which contain elements of a 
> GFDL'ed texinfo file *and* elements of the GPL'ed texinfo.tex; such 
> files are presumably derivative works of both, but that means they can't 
> be distributed.

That certainly applies to *.dvi, but AFAICS none of the *-doc packages
install them.  *.info is build with makeinfo which ignores texinfo.tex
completely (doesn't even try to open it), so those are OK - they are
not derived from texinfo.tex at all.

IOW, Debian packages happen to avoid that particular trap.  Upstream ones
do not, though - make all _will_ produce illegal-to-distribute files.



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Henning Makholm <henning@makholm.net>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #65 received at 183860@bugs.debian.org (full text, mbox):

From: Henning Makholm <henning@makholm.net>
To: Nathanael Nerode <neroden@twcny.rr.com>
Cc: 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: 25 Dec 2003 09:12:10 +0000
Scripsit Nathanael Nerode <neroden@twcny.rr.com>

> The issue is entirely about generated files which contain elements of
> a GFDL'ed texinfo file *and* elements of the GPL'ed texinfo.tex; such
> files are presumably derivative works of both,

But which files are that? It's certainly not the .dvi output; it
contain no elements of the texinfo implementation anymore than it
contains elements of the underlying TeX interpereter.

-- 
Henning Makholm               "Hele toget raslede imens Sjælland fór forbi."



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #70 received at 183860@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: Russ Allbery <rra@stanford.edu>
Cc: 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Wed, 24 Dec 2003 23:43:24 -0500
Russ Allbery wrote:
> Nathanael Nerode <neroden@twcny.rr.com> writes:
> 
> 
>>The issue is entirely about generated files which contain elements of a
>>GFDL'ed texinfo file *and* elements of the GPL'ed texinfo.tex; such
>>files are presumably derivative works of both, but that means they can't
>>be distributed.
> 
> 
> I'm not sure that I understand.  Here's how I look at this; please let me
> know where I'm wrong:
> 
>  * texinfo is a formatting language.  It happens to be implemented in some
>    particular cases (but not others) by using TeX macros, but that's just
>    an internal implementation technique.  It could be implemented as a
>    separate binary program for all we know.
Yup.

>  * texinfo documentation is given as input to a texinfo formatting
>    program, which then produces some output; the most interesting in this
>    particular case is DVI or PostScript output.
Yep.

>  * For DVI and PostScript output, the TeX macros (GPL-licensed) tell TeX
>    how to take a texinfo document and turn it into DVI or PostScript
>    output.  TeX then generates those DVI and PostScript documents via the
>    same means that it would use to generate any other DVI or PostScript
>    document.
Not quite.  The TeX macros are combined with the texinfo document, and 
TeX uses the result to produce a DVI or PostScript doument.

> To me, this situation seems exactly parallel to what would happen if
> texinfo were implemented in Perl.  The texinfo program (texinfo.tex or the
> Perl texinfo script) is fed to an interpretor (TeX or Perl), takes the
> documentation as input, and uses the functionality of that interpretor to
> generate some output.
Except that's not actually the way it works.  texinfo.tex is \include'd 
by the texinfo document.

The situation is *exactly* parallel to header files in C, which are 
#include'd by files using them.

If texinfo.tex can be \included without subjecting the combination and 
the resulting object file to the GPL, then any C header file under the 
GPL can be #include'd without subjecting the combination and the 
resulting DVI or PostScript file to the GPL.

Either there needs to be a clear distinction between the two cases,
or the FSF needs to announce that they agree that C header files can be 
used to circumvent the GPL, or we need a more freely licensed 
replacement for texinfo.tex, or an implementation that doesn't dump 
inline/macro-expanded bits in in the same manner.

(The ideal license would state that \include'ing texinfo.tex is 
considered normal use and not subject to the license.  Actually, 
ideally, 'normal use' would *never* be subject to copyright issues, but 
apparently it is, since otherwise the LGPL would be quite unnecessary.)

> As long as substantial chunks that are included vertabim in the output
> (the old bison case) are licensed appropriately, and I don't see any
> reason to think that they're not since they come from TeX and PostScript
> documents generated by TeX don't seem to have license issues in general, I
> don't see the issue.
Uh, right, except texinfo.tex isn't part of TeX.  TeX can't tell the 
difference between it and the file which \include's it; it treats them 
as part of one document.  I'm not sure what the licenses for the 
'standard' TeX macros are, but I'd want to make sure they were 
license-compatible with what I was producing.  (And I think they're 
sufficiently freely licensed that they are compatible with normal use.)

> Maybe the mechanism whereby TeX loads the texinfo program is confusing?
> It does load the program and the data into the same input stream due to
> the way that TeX is implemented, but isn't this just an accident of
> implementation irrelevant to licensing concerns since it happens internal
> to the TeX process?
Well, if that's the case, then the combination of C header files (the 
GPL'ed 'program') and your program (the 'data' being used by the 
compiler to generate a .o file) is 'just an accident of implementation 
irrelevant to licensing concerns since it happens internal to the CC 
process', in your words.

As far as I know, the FSF has never claimed that this was the case. 
Although it would certainly be convenient.  Maybe I've missed something. 
 :-)

> It's not like the concatenated texinfo.tex and texinfo source is
> distributed as such.  Rather, texinfo.tex is *run* and used to produce
> output.  (But even if that were distributed, is it a license violation to
> cat together two files with different licenses and distribute the results?
> That still sounds like mere aggregation to me.)
Hmm.  Texinfo.tex is concatenated with the texinfo source.  The 
concatenated result is then run through the "tex" program.  The result 
contains hunks of (transformed) material from texinfo.tex, intermixed 
with the rest of the (transformed) result.  So how is it not a 
derivative work?....

> I think it's generally well-accepted that, in the *common* case where no
> substantial portion of the implementation is included in the output, the
> output of a program is not inherently a derivative work of that program.
Yep.

> I don't see the argument for declaring the output of the texinfo program
> to be a derivative work of its implementation.
Um, the output is full of bits from the implementation?  :-/

Actualy, I suppose that's a point which is arguable as a matter of 
facts.  If you show that no substantial amount of the text of 
texinfo.tex ever ends up in output files, then fine, I'll agree with 
you.  :-)  Maybe this is in fact true, since I'm far from an expert, but 
it didn't look true at a cursory glance.  :-/

GCC has a special 'libgcc' license for routines which are part of GCC 
but which get incorporated into resulting programs because of this sort 
of issue.

> If what you're saying is true, it would seem to imply that it is a license
> violation to write any document in texinfo and redistribute the formatted
> result unless the document is licensed under the GPL,
Not unless the 'formatted result' incorporates part of a GPL'ed 
document.  In this case, the point is that it appears to do so.  I guess 
there's a factual question here; maybe it can be shown that it doesn't 
incorporate a meaningful amount.

> and that more
> generally it would be a license violation to distribute the output of
> *any* formatting program unless the input document was license-compatible
> with the implementation of the formatting program.  This seems wrong to
> me.
No, not really arguing this.  In the case of a formatting program with 
significant 'inline' segments which get expanded into the result, 
however, *they* had better be license-compatible.

> Again, though, I may be missing some major issue, and would certainly
> welcome correction.

I think the major issue is a matter of fact.




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Anthony Towns <aj@azure.humbug.org.au>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #75 received at 183860@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: Nathanael Nerode <neroden@twcny.rr.com>, 183860@bugs.debian.org
Subject: Re: Bug#183860: On the GPL/GFDL conflict in texinfo.tex
Date: Thu, 25 Dec 2003 18:32:58 +1000
[Message part 1 (text/plain, inline)]
On Tue, Dec 23, 2003 at 11:32:06PM -0500, Nathanael Nerode wrote:
> Any file which builds with texinfo.tex missing or empty is OK as far as 
> this license conflict goes.  (The GFDL is still a non-free license, of 
> course, and I'm sad that sarge will deliberately contain lots of 
> non-free stuff, but that's another matter.)

> Sadly any .dvi, .pdf, or other file generated using TeX is an illegal 
> license combination and is undistributable.

Have you talked to upstream about this? If it is a problem, it's certainly
something that can be fixed, and is likely to be fixed quickly. If it's
not a problem, upstream has more experience with the legal issues that
matter, and will be able to explain it to us.

> Safer just to remove all that non-free GFDL stuff.

We're here to fix problems and provide a userful service to our users, not
to find excuses to remove stuff we've decided we dislike.

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

               Linux.conf.au 2004 -- Because we can.
           http://conf.linux.org.au/ -- Jan 12-17, 2004
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Henning Makholm <henning@makholm.net>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #80 received at 183860@bugs.debian.org (full text, mbox):

From: Henning Makholm <henning@makholm.net>
To: 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: 25 Dec 2003 20:14:23 +0000
Scripsit Nathanael Nerode <neroden@twcny.rr.com>
> Russ Allbery wrote:
> > Nathanael Nerode <neroden@twcny.rr.com> writes:

> Not quite.  The TeX macros are combined with the texinfo document, and
> TeX uses the result to produce a DVI or PostScript doument.

Yes. But the output of TeX contains no creative elements from
texinfo.tex and therefore is not a derivate of texinfo.tex.

>> The texinfo program (texinfo.tex or the Perl texinfo script) is fed
>> to an interpretor (TeX or Perl), takes the documentation as input,
>> and uses the functionality of that interpretor to generate some
>> output.

> Except that's not actually the way it works.

It is exactly the way it works.

> texinfo.tex is \include'd by the texinfo document.

That is how the goal "run this program with that input" is most easily
achieved in the TeX language. This technical detail is legally
unimportant. What counts is the end result and the intentions of the
people involved.

> The situation is *exactly* parallel to header files in C, which are
> #include'd by files using them.

Yes.

> If texinfo.tex can be \included without subjecting the combination and
> the resulting object file to the GPL, then any C header file under the
> GPL can be #include'd without subjecting the combination and the
> resulting DVI or PostScript file to the GPL.

No. You cannot validly generalize from *one* *specific* TeX macro
package to "*any* C header file".

> Either there needs to be a clear distinction between the two cases,

There are no clear distinctions in this area. Live with it. Some
particular *cases* are clear, though, even if there is a grey area
between them.

> (The ideal license would state that \include'ing texinfo.tex is
> considered normal use and not subject to the license.

That is not necessary. It follows immediately from basic principles
for anyone who know how the language works and what the program does.

> Uh, right, except texinfo.tex isn't part of TeX.  TeX can't tell the
> difference between it and the file which \include's it;

A human being, such as a lawyer, a judge, or a Debian maintainer,
*can* tell the difference, and that is what matters legally. Law is
about what humans know and do, not about what machines can be thought
to understand.

> Well, if that's the case, then the combination of C header files (the
> GPL'ed 'program') and your program (the 'data' being used by the
> compiler to generate a .o file) is 'just an accident of implementation
> irrelevant to licensing concerns since it happens internal to the CC
> process', in your words.

Thay may well be the case if the header file contains no code that
actually gets embedded in the .o file.

> Hmm.  Texinfo.tex is concatenated with the texinfo source.  The
> concatenated result is then run through the "tex" program.  The result
> contains hunks of (transformed) material from texinfo.tex,

Where are these hunks? I certainly don't see them in the .dvi file
that texinfo produces on the sources I have tried it on in my time.

> So how is it not a derivative work?....

Because it contains no substantial parts of texinfo.

> > I don't see the argument for declaring the output of the texinfo program
> > to be a derivative work of its implementation.

> Um, the output is full of bits from the implementation?  :-/

Bits are not copyrightable. Expressive choices are. The output does
not contain any of the expressive choices embodied by the texinfo.tex
output. (At least, not in copyright law's sense of expressive choice).

> If you show that no substantial amount of the text of texinfo.tex
> ever ends up in output files, then fine, I'll agree with you.  :-)

Proof of absense of something is notoriously difficult to make. Which
form of such proof would you consider valid?

I suggest that, given that it's you who are making claims contrary to
the commonly held knowledge, the burden of proof should be on
you. Please show which substantial parts of texinfo.tex you think end
up in the .dvi file.

-- 
Henning Makholm                        "Detta, sade de, vore rena sanningen;
                                 ty de kunde tala sanning lika väl som någon
                             annan, när de bara visste vad det tjänade til."



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@stanford.edu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #85 received at 183860@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@stanford.edu>
To: Nathanael Nerode <neroden@twcny.rr.com>
Cc: 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Thu, 25 Dec 2003 11:48:39 -0800
Nathanael Nerode <neroden@twcny.rr.com> writes:
> Russ Allbery wrote:

>>  * For DVI and PostScript output, the TeX macros (GPL-licensed) tell TeX
>>    how to take a texinfo document and turn it into DVI or PostScript
>>    output.  TeX then generates those DVI and PostScript documents via the
>>    same means that it would use to generate any other DVI or PostScript
>>    document.

> Not quite.  The TeX macros are combined with the texinfo document, and
> TeX uses the result to produce a DVI or PostScript doument.

So would you consider the output of a text to HTML converter to be subject
to the license of the converter code?  After all, it does something very
similar; it takes input text, combines it with text that's part of the
converter (the HTML tags at the very least), and produces a combined
document.

This seems like an analogous situation to me, and that conclusion seems
wrong.  But maybe not?

> Except that's not actually the way it works.  texinfo.tex is \include'd
> by the texinfo document.

Suppose that you didn't actually know about texinfo's internal
implementation.  How would you know that?  What part of the output leads
you to draw that conclusion?

> The situation is *exactly* parallel to header files in C, which are
> #include'd by files using them.

Well, that's controversial in and of itself.  :)  But setting that aside
and assuming for the moment that that *is* a licensing problem (since
that's the conservative line that Debian has taken)....

I think you're getting caught up on unimportant details; the reason why
header files in C may need to be license-compatible is not because they're
included in the process of compilation, but rather because the resulting
executable is a derivative work of both of the library and the main
program (assuming that one buys that interpretation; I think this is only
clear for static linking and the situation is very murky for dynamic
linking).  The mere inclusion of the header file doesn't necessarily make
the resulting executable a derivative work.  You have to look a little bit
closer.  Consider, for example, the trivial case where a header file is
included but none of the symbols it defines are ever actually used in the
program.

I would agree with this line of argument for texinfo if texinfo.tex were
just a TeX macro package, like a LaTeX style package or the like, that's
used by a regular TeX document.  In that case, you're writing a TeX
document that's using the macro set as a library, and that looks a lot
like the standard library issues.

However, that's not the case.  A texinfo document is *not* TeX; it's a
completely different language that bears little resemblence to TeX.  There
is essentially only one TeX command in the entire document, the initial
\input command, and the texinfo documentation tells you to treat that like
a magic string like #!/bin/sh rather than a part of the language.  The
*intention* is completely different; a texinfo document is not written to
use the texinfo macros as a library, but rather is written in a completely
different language that's interpreted and transformed by texinfo.tex into
TeX code.

This is one of those cases where I think the intention is actually
significant (and unfortunately, as that always does, it makes the whole
thing confusing).

> Uh, right, except texinfo.tex isn't part of TeX.  TeX can't tell the
> difference between it and the file which \include's it; it treats them
> as part of one document.

I don't think this matters, any more than it matters that the processor
can't tell the difference between your compiled Perl script and the Perl
interpretor.  TeX is just the implementation platform; it doesn't matter
what TeX's internal view of the process is.  US copyright law (and it
seems that that's normally the metric used -- if other metrics are being
used, I realize that this argument may not hold) explicitly does not cover
internal transformations required to run a program.

What matters is whether the resulting PostScript or DVI document is a
derivative work of texinfo.

> I'm not sure what the licenses for the 'standard' TeX macros are, but
> I'd want to make sure they were license-compatible with what I was
> producing.

I bet they generally aren't for any GPL-covered work.  I'm pretty sure the
authors of TeX macros by and large don't even think about this (nor
probably consider it important, unfortunately).  The licensing culture of
TeX has a few issues (it comes up on legal from time to time).

> Hmm.  Texinfo.tex is concatenated with the texinfo source.  The
> concatenated result is then run through the "tex" program.  The result
> contains hunks of (transformed) material from texinfo.tex, intermixed
> with the rest of the (transformed) result.

What hunks of texinfo.tex are you thinking of?

> Actualy, I suppose that's a point which is arguable as a matter of
> facts.  If you show that no substantial amount of the text of
> texinfo.tex ever ends up in output files, then fine, I'll agree with
> you.  :-)

Well, I'm interested in your answer to the above question about a text to
HTML converter, since I think that would affect the answer to this
question.  I don't believe there is much from texinfo.tex that occurs in
the output other than words and phrases like "Table of Contents", but
certainly texinfo.tex tells TeX how to format the source document.  I
don't consider that equivalent to inclusion of actual code from
texinfo.tex in the output (which doesn't happen so far as I know), but I
guess I can see why someone might.

> No, not really arguing this.  In the case of a formatting program with
> significant 'inline' segments which get expanded into the result,
> however, *they* had better be license-compatible.

The difference here is that the compiled version of that code exists in
the output executable, whereas nothing of the texinfo.tex code exists in
the output document, just the results of *executing* that code inside the
TeX interpretor.

My argument in a nutshell is this:  The output of a program is not
considered covered by the license of that program in general, and I
believe the DVI output from a texinfo document processed with TeX is most
naturally viewed as the output of the texinfo.tex *program* given the
document as input.  That the program happens to be written in interpreted
TeX commands is an accident of implementation not relevant to evaluating
the license status of its output.

-- 
Russ Allbery (rra@stanford.edu)             <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@stanford.edu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #90 received at 183860@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@stanford.edu>
To: Simon Law <sfllaw@debian.org>
Cc: 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Thu, 25 Dec 2003 14:41:46 -0800
Simon Law <sfllaw@debian.org> writes:

> Hmm...  That's not _technically_ true.  Indeed, Texinfo in its most
> primitive form is merely a TeX macro package, much like LaTeX.  The fact
> that you use a program like texi2dvi to generate it is merely an
> implementation detail.

I don't entirely agree for this reason:  texi2dvi and related tools aren't
the only ones that process texinfo source, and many of the commonly used
tools don't use TeX at all.  So while you *can* use raw TeX in a texinfo
document, you're actually breaking the texinfo format and the resulting
document won't work with makeinfo and all the other texinfo tools.

It's certainly true that TeX doesn't have any sort of real program
vs. data boundary in its implementation, and as such it's hard to enforce
any such distinction in the input of anything using TeX as a platform, but
texinfo by specification and implementation actually tries pretty hard to
do so.  I view these sorts of tricks similar to the =for or =begin escapes
in POD that let you insert raw formatting codes for some output language
in the document at the cost of having them not work for all possible POD
outputs.

This is probably all a side discussion, though, since I think the real
question comes down to whether the output from texi2dvi actually includes
portions of texinfo.tex or only the results of running the texinfo.tex
program.

-- 
Russ Allbery (rra@stanford.edu)             <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Simon Law <sfllaw@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #95 received at 183860@bugs.debian.org (full text, mbox):

From: Simon Law <sfllaw@debian.org>
To: Russ Allbery <rra@stanford.edu>, 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Thu, 25 Dec 2003 17:30:48 -0500
On Thu, Dec 25, 2003 at 11:48:39AM -0800, Russ Allbery wrote:
> However, that's not the case.  A texinfo document is *not* TeX; it's a
> completely different language that bears little resemblence to TeX.  There
> is essentially only one TeX command in the entire document, the initial
> \input command, and the texinfo documentation tells you to treat that like
> a magic string like #!/bin/sh rather than a part of the language.  The
> *intention* is completely different; a texinfo document is not written to
> use the texinfo macros as a library, but rather is written in a completely
> different language that's interpreted and transformed by texinfo.tex into
> TeX code.

	Hmm...  That's not _technically_ true.  Indeed, Texinfo in its
most primitive form is merely a TeX macro package, much like LaTeX.  The
fact that you use a program like texi2dvi to generate it is merely an
implementation detail.

	When doing custom font support for GNU Press, I was able to
write portable Texinfo files by including snippets of TeX code in the
"preamble" of the Texinfo document.  All one has to do is substitute @
for \ and it readily works.  Makeinfo itself was designed to ignore
everything until it hits a particular keyword (which I don't remember),
so this is very safe.

	So texinfo.tex really doesn't transform Texinfo into TeX at all,
i.e. it isn't a preprocessor like cpp.  It really is a macro package
that defines a bunch of macros that are the Texinfo language.  None of
the semantics really change, since if you poke hard enough, you'll
discover that it really is TeX under the surface.

	I hope that this clarifies this particular point in the
argument.

Simon



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #100 received at 183860@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Nathanael Nerode <neroden@twcny.rr.com>, 183860@bugs.debian.org
Cc: Russ Allbery <rra@stanford.edu>
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Fri, 26 Dec 2003 11:49:23 +0100
Nathanael Nerode wrote:

> Uh, right, except texinfo.tex isn't part of TeX.  TeX can't tell the 
> difference between it and the file which \include's it; it treats them 
> as part of one document. 

You can easily change that if you want.  After that, the Texinfo
implementation in TeX is, from a structural point of view,
indistinguishable from the C implementation (in makeinfo).

I still think that we have gross misunderstanding here of what
constitutes a derived worked.  So far, those who claim that there is a
copyright problem have not shown any example that would undermine their
claim that the DVI output is a derivative work of texinfo.tex.



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #105 received at 183860@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 183860@bugs.debian.org
Subject: Re: Bug#183860: On the GPL/GFDL conflict in texinfo.tex
Date: Tue, 30 Dec 2003 17:02:18 -0500
[Message part 1 (text/plain, inline)]
On Thu, Dec 25, 2003 at 06:32:58PM +1000, Anthony Towns wrote:
> On Tue, Dec 23, 2003 at 11:32:06PM -0500, Nathanael Nerode wrote:
> > Safer just to remove all that non-free GFDL stuff.
> 
> We're here to fix problems and provide a userful service to our users, not
> to find excuses to remove stuff we've decided we dislike.

Yeah, never mind that stupid "Debian Will Remain 100% Free Software"
business.

-- 
G. Branden Robinson                |     Organized religion is a sham and a
Debian GNU/Linux                   |     crutch for weak-minded people who
branden@debian.org                 |     need strength in numbers.
http://people.debian.org/~branden/ |     -- Jesse Ventura
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #110 received at 183860@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: rms@gnu.org, 183860@bugs.debian.org
Subject: Re: Bug#183860: Many texi files under GFDL use texinfo.tex under GPL
Date: Tue, 30 Dec 2003 17:10:22 -0500
[Message part 1 (text/plain, inline)]
On Wed, Dec 24, 2003 at 10:18:19AM -0500, Richard Stallman wrote:
>     Many (all?) GNU texinfo manuals that are licensed under the GFDL do an:
> 
> 	    \input texinfo
> 
>     According to the comments at the top of texinfo.tex, texinfo is 
>     licensed under the GPL, version 2 or later.
> 
> The texinfo.tex file is an implementation of Texinfo.
> Documents written in Texinfo can be licensed in any fashion;
> they do not have to be licensed under the GPL.

I'm sorry, but I am little confused.  GNU readline is one implementation
of the readline interface, which has also been implemented in the
"editline" library, as I recall.

But the FSF has objected in the past to programs which used the readline
API being licensed in a manner incompatible with the GNU GPL (I believe
I am thinking of ncftp in this instance[1]).

Can you help me to understand the distinction between an executable
using a shared library (which is functional material) and a TeX file
using macros defined by another TeX file (which is also functional
material)?

Thanks for your time, and happy holidays.

[1] http://mail.gnu.org/archive/html/bug-grub/2000-11/msg00049.html

-- 
G. Branden Robinson                |
Debian GNU/Linux                   |      If encryption is outlawed, only
branden@debian.org                 |      outlaws will @goH7Ok=<q4fDj]Kz?.
http://people.debian.org/~branden/ |
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Nathanael Nerode <neroden@twcny.rr.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #117 received at 183860@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Wed, 31 Dec 2003 03:39:58 -0500
[Message part 1 (text/plain, inline)]
On Thu, Dec 25, 2003 at 08:14:23PM +0000, Henning Makholm wrote:
> Scripsit Nathanael Nerode <neroden@twcny.rr.com>
> > Russ Allbery wrote:
> > > Nathanael Nerode <neroden@twcny.rr.com> writes:
> 
> > Not quite.  The TeX macros are combined with the texinfo document, and
> > TeX uses the result to produce a DVI or PostScript doument.
> 
> Yes. But the output of TeX contains no creative elements from
> texinfo.tex and therefore is not a derivate of texinfo.tex.

What's a "creative element"?  I see no language in the GNU GPL
limiting the scope of its restrictions to such a thing.

-- 
G. Branden Robinson                |    You can have my PGP passphrase when
Debian GNU/Linux                   |    you pry it from my cold, dead
branden@debian.org                 |    brain.
http://people.debian.org/~branden/ |    -- Adam Thornton
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #122 received at 183860@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Wed, 31 Dec 2003 03:49:26 -0500
[Message part 1 (text/plain, inline)]
On Fri, Dec 26, 2003 at 11:49:23AM +0100, Florian Weimer wrote:
> I still think that we have gross misunderstanding here of what
> constitutes a derived worked.  So far, those who claim that there is a
> copyright problem have not shown any example that would undermine their
> claim that the DVI output is a derivative work of texinfo.tex.

Why do those who claim there is a copyright problem have to prove a
negative?  Shouldn't it be the responsibility of those who claim their
is no problem to show examples that undermine the claim that DVI output
is a derivative work of texinfo.tex?

For reference, "derivative work" is defined (for places under the
jurisdiction of the U.S.) by USC Title 17, Section 101[1].

      A ''derivative work'' is a work based upon one or more
      preexisting works, such as a translation, musical arrangement,
      dramatization, fictionalization, motion picture version, sound
      recording, art reproduction, abridgment, condensation, or any
      other form in which a work may be recast, transformed, or
      adapted.  A work consisting of editorial revisions, annotations,
      elaborations, or other modifications which, as a whole, represent
      an original work of authorship, is a ''derivative work''.

Another useful definition may be that of "collective work", defined in
the same place:

      A ''collective work'' is a work, such as a periodical issue,
      anthology, or encyclopedia, in which a number of contributions,
      constituting separate and independent works in themselves, are
      assembled into a collective whole.

It seems to me that a file which contains texinfo.tex would qualify
under the above definitions as both a "derivative work", in that any
file which contains texinfo.tex in any "recast", "transformed", or
"adapted" format is a derivative work of texinfo.tex by definition.

Furthermore, it is (probably) uncontroversial that a texinfo-using
document can be a "separate and independent work in [itself]", so that
the product of combining such a work with texinfo.tex is a "collective
work" under U.S. copyright law.

I do not speculate on, and posit nothing about, this dispute in
territories beyond the reach of U.S. copyright law.

[1] There are many online copies of the United States Code.  I used
<URL: http://caselaw.lp.findlaw.com/scripts/ts_search.pl?title=17&sec=101 >.

-- 
G. Branden Robinson                |    If you make people think they're
Debian GNU/Linux                   |    thinking, they'll love you; but if
branden@debian.org                 |    you really make them think, they'll
http://people.debian.org/~branden/ |    hate you.            -- Don Marquis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #127 received at 183860@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 183860@bugs.debian.org
Subject: Re: Bug#183860: marked as done (general: many info files have license conflicts)
Date: Wed, 31 Dec 2003 03:30:25 -0500
[Message part 1 (text/plain, inline)]
On Mon, Dec 22, 2003 at 05:33:12AM -0600, Debian Bug Tracking System wrote:
> > Most GNU manuals are under some form of the GNU Free Documentation
> > License (the freeness of which is debatable). However, those manuals are
> > in Texinfo format. The first line of every Texinfo file is:
> > \input texinfo
> > which includes texinfo.tex. If you look at texinfo.tex with
> > head -20 `dpkg -L texinfo | grep 'texinfo\.tex'
> > you will find that texinfo.tex is under the GNU General Public License,
> 
> This needs to be taken up with upstream to see if it's an actual problem,
> and what solutions are possible.
> 
> Bug closed with this message.

Don't we generally leave bugs *open* while we confirm such things with
upstream (perhaps tagging them "moreinfo" in the meantime)?

If not, I probably need to update my bug-triaging habits.

In any event, I don't see what would be inaccurate about tagging this
bug "sarge-ignore" if, like the other GNU FDL-related bugs in the BTS,
it's not something you regard as a showstopper for the sarge release.

-- 
G. Branden Robinson                |    As people do better, they start
Debian GNU/Linux                   |    voting like Republicans -- unless
branden@debian.org                 |    they have too much education and
http://people.debian.org/~branden/ |    vote Democratic.       -- Karl Rove
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <asd@suespammers.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #132 received at 183860@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: Branden Robinson <branden@debian.org>, 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Wed, 31 Dec 2003 16:05:26 -0500
On Dec 31, 2003, at 03:39, Branden Robinson wrote:

>> Yes. But the output of TeX contains no creative elements from
>> texinfo.tex and therefore is not a derivate of texinfo.tex.
>
> What's a "creative element"?  I see no language in the GNU GPL
> limiting the scope of its restrictions to such a thing.

I assume a "creative element" is what makes for an original work of 
authorship (as opposed to a mere listing of facts, like in Feist).




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <asd@suespammers.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #137 received at 183860@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: Russ Allbery <rra@stanford.edu>, 183860@bugs.debian.org
Cc: Nathanael Nerode <neroden@twcny.rr.com>
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Wed, 31 Dec 2003 16:01:10 -0500
On Dec 25, 2003, at 14:48, Russ Allbery wrote:

> However, that's not the case.  A texinfo document is *not* TeX; it's a
> completely different language that bears little resemblence to TeX.

Not at all. They look quite a bit like Τεχ. Looking quickly in a random 
texi file I found with 'locate' (this one from GCC)

@titlepage
@title Porting libstdc++-v3
@author Mark Mitchell
@page
@vskip 0pt plus 1filll
@insertcopying
@end titlepage

That looks like Τεχ to me. Or, it looks like tr/\\/@/ foo.tex, actually.
>
> What matters is whether the resulting PostScript or DVI document is a
> derivative work of texinfo.

We need to determine if the page layout provided by texinfo.tex meats 
the standard to be an original work of authorship. If it does, then I 
think its fairly clear that the dvi (or PostScript, or whatever) IS a 
derivative work of texinfo.tex.

One argument I could see for it not being is that it seems to be a 
fairly "normal" and style.

>
> Well, I'm interested in your answer to the above question about a text 
> to
> HTML converter, since I think that would affect the answer to this
> question.

I believe there have been cases where copyright suits have been filed 
--- and won --- for copying the look of, e.g., websites. So, certainly 
if the text to HTML converter includes layout templates (that are an 
original work of authorship), absolutely.


PS: Either way, RMS assumably speaks for the copyright holder --- the 
FSF --- so we can take his message as clarification from the copyright 
holder.



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@stanford.edu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #142 received at 183860@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@stanford.edu>
To: 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Wed, 31 Dec 2003 13:40:50 -0800
Branden Robinson <branden@debian.org> writes:

> Why do those who claim there is a copyright problem have to prove a
> negative?  Shouldn't it be the responsibility of those who claim their
> is no problem to show examples that undermine the claim that DVI output
> is a derivative work of texinfo.tex?

It looks like the issue may now become irrelevant.  Upstream texinfo just
added the following:

  % As a special exception, when this file is read by TeX when processing
  % a Texinfo source document, you may use the result without
  % restriction.  (This has been our intent since Texinfo was invented.)

-- 
Russ Allbery (rra@stanford.edu)             <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <asd@suespammers.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #147 received at 183860@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: Henning Makholm <henning@makholm.net>, 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Wed, 31 Dec 2003 16:02:30 -0500
On Dec 25, 2003, at 15:14, Henning Makholm wrote:

> Bits are not copyrightable. Expressive choices are. The output does
> not contain any of the expressive choices embodied by the texinfo.tex
> output. (At least, not in copyright law's sense of expressive choice).

It does if the page layout is an expressive choice of texinfo.tex.




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Anthony Towns <aj@azure.humbug.org.au>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #152 received at 183860@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: Branden Robinson <branden@debian.org>, 183860@bugs.debian.org
Subject: Re: Bug#183860: marked as done (general: many info files have license conflicts)
Date: Thu, 1 Jan 2004 02:19:17 +1000
On Wed, Dec 31, 2003 at 03:30:25AM -0500, Branden Robinson wrote:
> > This needs to be taken up with upstream to see if it's an actual problem,
> > and what solutions are possible.
> Don't we generally leave bugs *open* while we confirm such things with
> upstream (perhaps tagging them "moreinfo" in the meantime)?

It's not appropriate to keep bugs that aren't even confirmed to *exist*
open forever.

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

               Linux.conf.au 2004 -- Because we can.
           http://conf.linux.org.au/ -- Jan 12-17, 2004




Reply sent to Anthony DeRobertis <asd@suespammers.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #157 received at 183860-done@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: 183860-done@bugs.debian.org
Subject: Fwd: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Wed, 31 Dec 2003 23:50:03 -0500
According to Russ Allbery, texinfo now has an explicit GPL exception 
that definitely fixes this bug. The statement "[t]his has been our 
intent since Texinfo was invented" makes it clear this grant applies 
retroactively, so this bug is quite done.


Begin forwarded message:

> Resent-From: Russ Allbery <rra@stanford.edu>
> From: Russ Allbery <rra@stanford.edu>
> Date: December 31, 2003 16:40:50 EST
> Resent-To: debian-bugs-dist@lists.debian.org
> To: 183860@bugs.debian.org
> Resent-Cc: debian-devel@lists.debian.org
> Subject: Bug#183860: RMS's comment on this bug is mostly irrelevant. 
> :-/
> Reply-To: Russ Allbery <rra@stanford.edu>, 183860@bugs.debian.org
> User-Agent: Gnus/5.1002 (Gnus v5.10.2) XEmacs/21.4 (Common Lisp, linux)
> X-Spam-Status: No, hits=-3.0 required=4.0 tests=HAS_BUG_NUMBER 
> autolearn=no  
> version=2.60-master.debian.org_2003_11_25-bugs.debian.org_2003_12_29
>
> Branden Robinson <branden@debian.org> writes:
>
>> Why do those who claim there is a copyright problem have to prove a
>> negative?  Shouldn't it be the responsibility of those who claim their
>> is no problem to show examples that undermine the claim that DVI 
>> output
>> is a derivative work of texinfo.tex?
>
> It looks like the issue may now become irrelevant.  Upstream texinfo 
> just
> added the following:
>
>   % As a special exception, when this file is read by TeX when 
> processing
>   % a Texinfo source document, you may use the result without
>   % restriction.  (This has been our intent since Texinfo was 
> invented.)
>
> -- 
> Russ Allbery (rra@stanford.edu)             
> <http://www.eyrie.org/~eagle/>
>
>
> -- 
> To UNSUBSCRIBE, email to debian-devel-request@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact 
> listmaster@lists.debian.org
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-devel@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #162 received at 183860@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-devel@zugschlus.de>
To: 183860@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#183860: marked as done (general: many info files have license conflicts)
Date: Thu, 01 Jan 2004 08:05:30 +0100
On Thu, 1 Jan 2004 02:19:17 +1000, Anthony Towns
<aj@azure.humbug.org.au> wrote:
>On Wed, Dec 31, 2003 at 03:30:25AM -0500, Branden Robinson wrote:
>> > This needs to be taken up with upstream to see if it's an actual problem,
>> > and what solutions are possible.
>> Don't we generally leave bugs *open* while we confirm such things with
>> upstream (perhaps tagging them "moreinfo" in the meantime)?
>
>It's not appropriate to keep bugs that aren't even confirmed to *exist*
>open forever.

Well, a wishlist item exists if somebody filed it.

Greetings
Marc

-- 
-------------------------------------- !! No courtesy copies, please !! -----
Marc Haber          |   " Questions are the         | Mailadresse im Header
Karlsruhe, Germany  |     Beginning of Wisdom "     | Fon: *49 721 966 32 15
Nordisch by Nature  | Lt. Worf, TNG "Rightful Heir" | Fax: *49 721 966 31 29



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #167 received at 183860@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 183860@bugs.debian.org
Subject: Re: Bug#183860: marked as done (general: many info files have license conflicts)
Date: Thu, 1 Jan 2004 03:51:56 -0500
[Message part 1 (text/plain, inline)]
On Thu, Jan 01, 2004 at 02:19:17AM +1000, Anthony Towns wrote:
> On Wed, Dec 31, 2003 at 03:30:25AM -0500, Branden Robinson wrote:
> > > This needs to be taken up with upstream to see if it's an actual problem,
> > > and what solutions are possible.
> > Don't we generally leave bugs *open* while we confirm such things with
> > upstream (perhaps tagging them "moreinfo" in the meantime)?
> 
> It's not appropriate to keep bugs that aren't even confirmed to *exist*
> open forever.

I'm puzzled.  I don't see where the word "forever" appeared in my
question.  On the contrary, ephemerality was clearly expressed.

-- 
G. Branden Robinson                |     If you're handsome, it's flirting.
Debian GNU/Linux                   |     If you're a troll, it's sexual
branden@debian.org                 |     harassment.
http://people.debian.org/~branden/ |     -- George Carlin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #172 received at 183860@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Thu, 1 Jan 2004 16:44:26 -0500
[Message part 1 (text/plain, inline)]
On Wed, Dec 31, 2003 at 04:05:26PM -0500, Anthony DeRobertis wrote:
> On Dec 31, 2003, at 03:39, Branden Robinson wrote:
> 
> >>Yes. But the output of TeX contains no creative elements from
> >>texinfo.tex and therefore is not a derivate of texinfo.tex.
> >
> >What's a "creative element"?  I see no language in the GNU GPL
> >limiting the scope of its restrictions to such a thing.
> 
> I assume a "creative element" is what makes for an original work of 
> authorship (as opposed to a mere listing of facts, like in Feist).

While the matter appears to have been settled thanks to an upstream
license clarification by the Texinfo maintainers, I can only see your
point as materially affecting the argument if texinfo.tex is regarded as
containing no creative elements.  Such a statement would probably not go
unchallenged by the FSF.

-- 
G. Branden Robinson                |     One doesn't have a sense of humor.
Debian GNU/Linux                   |     It has you.
branden@debian.org                 |     -- Larry Gelbart
http://people.debian.org/~branden/ |
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #177 received at 183860@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Thu, 1 Jan 2004 17:05:50 -0500
[Message part 1 (text/plain, inline)]
On Wed, Dec 31, 2003 at 01:40:50PM -0800, Russ Allbery wrote:
> Branden Robinson <branden@debian.org> writes:
> 
> > Why do those who claim there is a copyright problem have to prove a
> > negative?  Shouldn't it be the responsibility of those who claim their
> > is no problem to show examples that undermine the claim that DVI output
> > is a derivative work of texinfo.tex?
> 
> It looks like the issue may now become irrelevant.  Upstream texinfo just
> added the following:
> 
>   % As a special exception, when this file is read by TeX when processing
>   % a Texinfo source document, you may use the result without
>   % restriction.  (This has been our intent since Texinfo was invented.)

Can we ask for upstream's permission to apply this exception to our
current version of texinfo, in the event a new upstream release is not
made before sarge releases?

Or is this necessary?  Can we just pull the new license file from CVS
and be done with it?

-- 
G. Branden Robinson                |     Q: How does a Unix guru have sex?
Debian GNU/Linux                   |     A: unzip;strip;touch;finger;mount;
branden@debian.org                 |        fsck;more;yes;fsck;fsck;fsck;
http://people.debian.org/~branden/ |        umount;sleep
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Henning Makholm <henning@makholm.net>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #182 received at 183860@bugs.debian.org (full text, mbox):

From: Henning Makholm <henning@makholm.net>
To: 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: 01 Jan 2004 22:35:12 +0000
Scripsit Branden Robinson <branden@debian.org>
> On Thu, Dec 25, 2003 at 08:14:23PM +0000, Henning Makholm wrote:
> > Scripsit Nathanael Nerode <neroden@twcny.rr.com>

> > > Not quite.  The TeX macros are combined with the texinfo document, and
> > > TeX uses the result to produce a DVI or PostScript doument.

> > Yes. But the output of TeX contains no creative elements from
> > texinfo.tex and therefore is not a derivate of texinfo.tex.

> What's a "creative element"?

It's what makes copyright law apply to the relation between the two
works at all.

-- 
Henning Makholm       "It was intended to compile from some approximation to
                 the M-notation, but the M-notation was never fully defined,
                because representing LISP functions by LISP lists became the
 dominant programming language when the interpreter later became available."



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <asd@suespammers.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #187 received at 183860@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: Branden Robinson <branden@debian.org>, 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Thu, 1 Jan 2004 19:37:12 -0500
On Jan 1, 2004, at 17:05, Branden Robinson wrote:

>>   % As a special exception, when this file is read by TeX when 
>> processing
>>   % a Texinfo source document, you may use the result without
>>   % restriction.  (This has been our intent since Texinfo was 
>> invented.)
>
> Can we ask for upstream's permission to apply this exception to our
> current version of texinfo, in the event a new upstream release is not
> made before sarge releases?

"(This has been our intent since Texinfo was invented.)" seems like a 
pretty clear answer to that question.




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #192 received at 183860@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 183860@bugs.debian.org
Subject: Just extra info.
Date: Thu, 01 Jan 2004 21:27:32 -0500
Russ Allbery wrote:
> It looks like the issue may now become irrelevant.  Upstream texinfo just
> added the following:
Yep, this issue is totally going away due to this.  Whee.  :-)

I guess bugs can *eventually* be filed against packages using old 
versions of texinfo, but that should probably wait until months have 
passed and most are 'auto-fixed'.

> 
>   % As a special exception, when this file is read by TeX when processing
>   % a Texinfo source document, you may use the result without
>   % restriction.  (This has been our intent since Texinfo was invented.)

I believe this change was made due to the issue being brought up on the 
GCC list some time before, and being forwarded up to texinfo.

:-)





Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#183860; Package general. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #197 received at 183860@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 183860@bugs.debian.org
Subject: Re: Bug#183860: RMS's comment on this bug is mostly irrelevant. :-/
Date: Tue, 6 Jan 2004 19:24:53 -0500
[Message part 1 (text/plain, inline)]
On Thu, Jan 01, 2004 at 07:37:12PM -0500, Anthony DeRobertis wrote:
> On Jan 1, 2004, at 17:05, Branden Robinson wrote:
> 
> >>  % As a special exception, when this file is read by TeX when 
> >>processing
> >>  % a Texinfo source document, you may use the result without
> >>  % restriction.  (This has been our intent since Texinfo was 
> >>invented.)
> >
> >Can we ask for upstream's permission to apply this exception to our
> >current version of texinfo, in the event a new upstream release is not
> >made before sarge releases?
> 
> "(This has been our intent since Texinfo was invented.)" seems like a 
> pretty clear answer to that question.

I would have thought so, but I've learned how dangerous it is to presume
that people will see things the way I do.  :)

-- 
G. Branden Robinson                |     The Rehnquist Court has never
Debian GNU/Linux                   |     encountered a criminal statute it
branden@debian.org                 |     did not like.
http://people.debian.org/~branden/ |     -- John Dean
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:45:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.